Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm
Class ConditionChecker

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.ConditionChecker

    public class ConditionChecker

extends java.lang.Object

Field Summary
`static int` | `ERR_CODE_COMPILATION`
`static int` | `ERR_CODE_EVALUATION`

Constructor Summary
`ConditionChecker(java.lang.String conditionBody, ASTNode targetASTElement)`

Method Summary
`boolean` | `checkCondition(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl mainEvaluator)`
`java.lang.Object` | `evaluate(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl mainEvaluator)`
`EClassifier` | `getConditionType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERR_CODE_COMPILATION

    public static final int ERR_CODE_COMPILATION

See Also:
  Constant Field Values

### ERR_CODE_EVALUATION

    public static final int ERR_CODE_EVALUATION

See Also:
  Constant Field Values

Constructor Detail

### ConditionChecker

    public ConditionChecker(java.lang.String conditionBody,
                            ASTNode targetASTElement)

Method Detail

### evaluate

    public java.lang.Object evaluate(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl mainEvaluator)
                              throws CoreException

  Throws:
    `CoreException`

### checkCondition

    public boolean checkCondition(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl mainEvaluator)
                           throws CoreException

  Throws:
    `CoreException`

### getConditionType

    public EClassifier getConditionType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD